| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Functions
SmartRef.h File Reference
`#include "GaudiKernel/SmartRefBase.h"`
`#include "GaudiKernel/ContainedObject.h"`
`#include <typeinfo>`
Include dependency graph for SmartRef.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | SmartRefArray< TYPE >
class | SmartRefList< TYPE >
class | SmartRefMap< TYPE >
class | SmartRef< TYPE >
| Kernel objects: SmartRef. More...

## Functions
template<class TYPE >
bool | operator== (const SmartRef< TYPE > &ref, int)
| Friend helper to check for object existence (will load object) More...
template<class TYPE >
bool | operator== (int, const SmartRef< TYPE > &ref)
| Friend helper to check for object existence (will load object) More...
template<class TYPE >
bool | operator!= (const SmartRef< TYPE > &ref, int)
| Friend helper to check for object existence (will load object) More...
template<class TYPE >
bool | operator!= (int, const SmartRef< TYPE > &ref)
| Friend helper to check for object existence (will load object) More...

## Function Documentation

template<class TYPE >

bool operator!= | ( | const SmartRef< TYPE > & | ref,
|  | int |
| ) |  |
| inline

Friend helper to check for object existence (will load object)

Definition at line 313 of file SmartRef.h.

313 {
314 return ref.target() != nullptr;
315 }
SmartRef::target
const TYPE * target() const
Access to the object.
Definition: SmartRef.h:278
template<class TYPE >

bool operator!= | ( | int | ,
|  | const SmartRef< TYPE > & | ref
| ) |  |
| inline

Friend helper to check for object existence (will load object)

Definition at line 319 of file SmartRef.h.

319 {
320 return ref.target() != nullptr;
321 }
SmartRef::target
const TYPE * target() const
Access to the object.
Definition: SmartRef.h:278
template<class TYPE >

bool operator== | ( | const SmartRef< TYPE > & | ref,
|  | int |
| ) |  |
| inline

Friend helper to check for object existence (will load object)

Definition at line 301 of file SmartRef.h.

301 {
302 return ref.target() == nullptr;
303 }
SmartRef::target
const TYPE * target() const
Access to the object.
Definition: SmartRef.h:278
template<class TYPE >

bool operator== | ( | int | ,
|  | const SmartRef< TYPE > & | ref
| ) |  |
| inline

Friend helper to check for object existence (will load object)

Definition at line 307 of file SmartRef.h.

307 {
308 return ref.target() == nullptr;
309 }
SmartRef::target
const TYPE * target() const
Access to the object.
Definition: SmartRef.h:278